Name:          audacious-plugins
Version:       3.6.1
Release:       1mamba
Summary:       Plugins for the Audacious media player
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://audacious-media-player.org/index.php?title=Plugins
Source0:       http://distfiles.audacious-media-player.org/audacious-plugins-%{version}.tar.bz2
Patch0:        %{name}-1.5.1-libmtp-0.3.0.patch
Patch1:        %{name}-2.2-jack-0.118.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: audacious-devel >= %{version}
BuildRequires: fluidsynth-devel
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libaudiofile-devel
BuildRequires: libbinio-devel
BuildRequires: libcairo-devel
BuildRequires: libcddb-devel
BuildRequires: libcdio-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libesound-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libimlib2-devel
BuildRequires: libjack-devel
BuildRequires: liblame-devel
BuildRequires: libmad-devel
BuildRequires: libmowgli-devel
BuildRequires: libmusepack-devel
BuildRequires: libmtp-devel
BuildRequires: libneon-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSDL-devel
BuildRequires: libsidplay-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libusb-devel
BuildRequires: libvorbis-devel
BuildRequires: libwavpack-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXfixes-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: lirc-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils 
BuildRequires: libnotify-devel 
BuildRequires: libmusicbrainz-devel
BuildRequires: libvisual-devel 
BuildRequires: gettext
BuildRequires: libmodplug-devel
BuildRequires: libprojectM-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489217
%description
Audacious is a media player that currently uses a skinned user interface based on Winamp 2.x skins. It is based on ("forked off") BMP.
This package provides essential plugins for audio input, audio output and visualization.

%package        jack
Summary:        Audacious output plugin for JACK sound service
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    jack
This package provides an Audacious output plugin that uses the JACK sound service.

%package        esd
Summary:        Audacious output plugin for esd sound service
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    esd
This package provides an Audacious output plugin that uses the ESD sound server.

%package        alsa
Summary:        Audacious output plugin for ALSA
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}
Provides:       audacious-plugins-arts
Obsoletes:      audacious-plugins-arts
Provides:       audacious-plugins-esd
Obsoletes:      audacious-plugins-esd

%description    alsa
This package provides an Audacious output plugin that uses the ALSA sound server.

%package        amidi
Summary:        Audacious input plugin for amidi
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    amidi
This package provides an Audacious input plugin that uses the amidi sound service.

%package        pulseaudio
Summary:        Audacious input plugin for pulseaudio
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    pulseaudio
This package provides an Audacious input plugin that uses the pulseaudio sound server.

%package        sdl
Summary:        Audacious input plugin for SDL
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    sdl
This package provides an Audacious input plugin that uses the SDL sound library.

%package        wavpack
Summary:        Audacious input plugin for wavpack
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    wavpack
This package provides an Audacious input plugin that reads WavPack compressed files.

%package        metronome
Summary:        Audacious input plugin simulating a metronome
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    metronome
This package provides an Audacious input plugin that simulates a metronome.

%package        vortex
Summary:        Audacious input plugin for vortex audio files
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    vortex
This package provides an Audacious input plugin that reads vortex compressed files.

%package        ffaudio
Summary:        FFMpeg/FAAD2 based input plugin for Audacious
Group:          Applications/Multimedia
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    ffaudio
This package provides an FFMpeg/FAAD2 based input plugin for Audacious.

%package        skins
Summary:        Default and additional skins for Audacious
Group:          Graphical Desktop/Look 'n' feel
Requires:       audacious >= %{version}
Requires:       %{name} >= %{version}

%description    skins
This package provides default and additional skins for Audacious.

%prep
%setup -q
#%patch1 -p1

%build
%configure  --disable-rpath \
	    --enable-kconfig \
	    --enable-chardet \
	    --disable-dependency-tracking \
            --enable-amidiplug \
            --disable-amidiplug-dummy \
	    --enable-ipv6 \
	    --enable-bluetooth

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/audacious-plugins.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Audacious
Comment=Play music
Exec=/usr/bin/audacious
Icon=/usr/share/audacious/images/audacious_player.xpm
MimeType=audio/x-scpls;audio/x-mpegurl;audio/mpegurl;audio/x-wav;application/x-ogg;
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Player;
X-Desktop-File-Install-Version=0.10
NoDisplay=true
EOF

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post jack -p /sbin/ldconfig

%postun jack -p /sbin/ldconfig

%post alsa -p /sbin/ldconfig

%postun alsa -p /sbin/ldconfig

%post esd -p /sbin/ldconfig

%postun esd -p /sbin/ldconfig

%post amidi -p /sbin/ldconfig

%postun amidi -p /sbin/ldconfig

%post wavpack -p /sbin/ldconfig

%postun wavpack -p /sbin/ldconfig

%post metronome -p /sbin/ldconfig

%postun metronome -p /sbin/ldconfig

%post vortex -p /sbin/ldconfig

%postun vortex -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_libdir}/audacious/Input
#%{_libdir}/audacious/Input/aac.so
%{_libdir}/audacious/Input/aac-raw.so
%{_libdir}/audacious/Input/adplug.so
#%{_libdir}/audacious/Input/alac.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
#%{_libdir}/audacious/Input/cuesheet_ng.so
#%{_libdir}/audacious/Input/demac.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/modplug.so
#%{_libdir}/audacious/Input/musepack.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/xsf.so
#%{_libdir}/audacious/Input/sexypsf.so
#%{_libdir}/audacious/Input/sid.so
%{_libdir}/audacious/Input/sndfile.so
#%{_libdir}/audacious/Input/timidity.so
%{_libdir}/audacious/Input/tonegen.so
#%{_libdir}/audacious/Input/tta.so
%{_libdir}/audacious/Input/vorbis.so
#%{_libdir}/audacious/Input/wma.so
%exclude %{_libdir}/audacious/Input/amidi-plug.so
%exclude %{_libdir}/audacious/Input/wavpack.so
%exclude %{_libdir}/audacious/Input/metronom.so
%exclude %{_libdir}/audacious/Input/vtx.so
%dir %{_libdir}/audacious/Output
#%{_libdir}/audacious/Output/OSS.so
#%{_libdir}/audacious/Output/crossfade.so
%{_libdir}/audacious/Output/filewriter.so
#%{_libdir}/audacious/Output/icecast.so
#%{_libdir}/audacious/Output/null.so
%{_libdir}/audacious/Output/oss4.so
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/*.so
%dir %{_libdir}/audacious/Effect
%{_libdir}/audacious/Effect/*.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/*.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/*.so
%dir %{_libdir}/audacious/Transport
%{_libdir}/audacious/Transport/*.so
%{_datadir}/applications/audacious-plugins.desktop
#%dir %{_datadir}/audacious/images
#%{_datadir}/audacious/images/*.png
#%{_datadir}/audacious/ui/*.ui
#%dir %{_datadir}/audacious/paranormal/Presets
#%{_datadir}/audacious/paranormal/Presets/*.pnv
%doc COPYING

%files jack
%defattr(-,root,root)
%{_libdir}/audacious/Output/jack-ng.so

#%files esd
#%defattr(-,root,root)
#%{_libdir}/audacious/Output/ESD.so

%files pulseaudio
%defattr(-,root,root)
%{_libdir}/audacious/Output/pulse_audio.so

%files sdl
%defattr(-,root,root)
%{_libdir}/audacious/Output/sdlout.so

%files alsa
%defattr(-,root,root)
%{_libdir}/audacious/Output/alsa.so

%files amidi
%defattr(-,root,root)
%{_libdir}/audacious/Input/amidi-plug.so

%files wavpack
%defattr(-,root,root)
%{_libdir}/audacious/Input/wavpack.so

%files metronome
%defattr(-,root,root)
%{_libdir}/audacious/Input/metronom.so

%files vortex
%defattr(-,root,root)
%{_libdir}/audacious/Input/vtx.so

%files ffaudio
%defattr(-,root,root)
%{_libdir}/audacious/Input/ffaudio.so

%files skins
%defattr(-,root,root)
%{_datadir}/audacious/Skins/Classic/*
%{_datadir}/audacious/Skins/Classic1.3/*
%{_datadir}/audacious/Skins/Default/*
%{_datadir}/audacious/Skins/Ivory/*
%{_datadir}/audacious/Skins/Osmosis/*
%{_datadir}/audacious/Skins/Refugee/*
%{_datadir}/audacious/Skins/TinyPlayer/*

%changelog
* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Tue Mar 17 2015 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sun Oct 19 2014 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Sat Sep 13 2014 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3-2mamba
- ffmpeg 2.2 rebuild

* Mon Jan 06 2014 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Tue Sep 03 2013 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Mon Jul 01 2013 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Tue Dec 11 2012 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- update to 3.3.2

* Tue Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 2.3-2mamba
- automatic rebuild by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic update to 2.3 by autodist

* Thu Jun 10 2010 Automatic Build System <autodist@mambasoft.it> 2.2-2mamba
- automatic rebuild by autodist

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- update to 2.2

* Fri Jun 19 2009 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- automatic rebuild by autodist

* Tue Sep 02 2008 gil <puntogil@libero.it> 1.5.1-1mamba
- added desktop file
